Requires write_inventory access scope.
For more info, refer to:
POST https://{handle}.myshopline.com/admin/openapi/v20261201/inventory_levels/adjust.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .
Adjust the available inventory quantity for a specified inventory item at a location by passing the desired adjustment value. This API adds to or subtracts from the existing inventory level based on the provided adjustment value.
Request Headers
  • Content-Type string required
    The field must be set to the fixed value application/json; charset=utf-8.
  • Authorization string required
    The access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.
    Example:
    Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Request Body
  • available_adjustment long required
    The incremental change amount for the available inventory. Send positive values to increase, and negative values to decrease.
    Example: -10
  • inventory_item_id string required
    The unique identifier for the inventory item.
    Maximum length: 64
    Example: 7177011084762551696
  • location_id string required
    The unique identifier for the location.
    Maximum length:64
    Example: 5421703880295066100
Status Codes
For the complete list of codes and messages, see Http status code.

Response Headers
  • traceId
    A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
  • inventory_levelobject
    Inventory information.
  • inventory_item_id string
    The unique identifier for the inventory item.
    Example: 7177011084762551696
  • location_id string
    The unique identifier for the location.
    Example: 5421703880295066100
  • update_at string
    The date and time when the inventory information was last updated. Format: ISO 8601.
    Example: 2022-12-06T20:23:06+08:00
  • variant_id string
    The unique identifier for the variant.
    Example: 18057039432358082693350282
  • available long
    The available inventory quantity.
    Example: 10
API Explorer
https://openapiceshidianpu.myshopline.com/admin/openapi/v20261201

ParamOptions

header required

Body

required
{
  "available_adjustment": -10,
  "inventory_item_id": "7177011084762551696",
  "location_id": "5421703880295066100"
}

Language

curl --request POST \
--url https://openapiceshidianpu.myshopline.com/admin/openapi/v20261201/inventory_levels/adjust.json \
--header 'Authorization: Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA' \
--header 'Content-Type: application/json; charset=utf-8' \
--header 'accept: application/json'
Examples
Adjust the inventory quantity
Request
{
"location_id": "5421703880295066100",
"available_adjustment": "10",
"inventory_item_id": "5703943240925324252"
}
Response
{
"inventory_level": {
"inventory_item_id": "5703943240925324252",
"location_id": "5421703880295066100",
"update_at": "2022-12-06T21:02:17+08:00",
"variant_id": "18057039432358082693350282",
"available": 20
}
}
Was this article helpful to you?